LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XErrorHandler Interface Referencepublished

is the basic interface for SAX error handlers. More...

`import"XErrorHandler.idl";`

Inheritance diagram for XErrorHandler:

## Public Member Functions
void | error ([in] any aSAXParseException) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of a recoverable error. More...
void | fatalError ([in] any aSAXParseException) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of a non-recoverable error. More...
void | warning ([in] any aSAXParseException) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of a warning. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the basic interface for SAX error handlers.

If a SAX application needs to implement customized error handling, it must implement this interface and then register an instance with the SAX parser using the parser's XParser::setErrorhandler() method. The parser will then report all errors and warnings through this interface.

This interface is a slight adaptation of the Java interface `org.xml.sax.ErrorHandler`. In IDL, no exception can be passed as an argument, so an `any` serves as the container. The type of the exception is SAXParseException or an instance of a derived class.

## Member Function Documentation

## ◆ error()

void error | ( | [in] any | aSAXParseException | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of a recoverable error.

## ◆ fatalError()

void fatalError | ( | [in] any | aSAXParseException | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of a non-recoverable error.

## ◆ warning()

void warning | ( | [in] any | aSAXParseException | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of a warning.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XErrorHandler.idl